## python-django-zeal 1.3.0

=== Makefile ===
install-hooks:
	git config core.hooksPath hooks/

install:
	$(MAKE) install-hooks
	uv pip compile requirements-dev.in -o requirements-dev.txt && uv pip sync requirements-dev.txt

ci:
	pip install -r requirements-dev.txt

test:
	pytest -s --tb=native --random-order $(ARGS)

format-check:
	ruff format --check && ruff check

format:
	ruff format && ruff check --fix

typecheck:
	pyright .

build:
	python -m build --installer uv

publish:
	twine upload dist/*

=== debian/changelog ===
python-django-zeal (1.3.0-1) unstable; urgency=low

  * New upstream version 1.3.0

 -- Michael Fladischer <fladi@debian.org>  Fri, 02 Aug 2024 17:14:52 +0000

python-django-zeal (1.2.0-1) unstable; urgency=low

  * New upstream version 1.2.0

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Jul 2024 19:29:52 +0000

python-django-zeal (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1076735).

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jul 2024 20:24:12 +0000

=== debian/control ===
Source: python-django-zeal
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-django,
 python3-factory-boy,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/taobojlen/django-zeal
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-zeal
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-zeal.git
Rules-Requires-Root: no

Package: python3-django-zeal
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Detect N+1s in your Django app (Python3 version)
 Catch N+1 queries in your Django project.
 .
 Features:
  * Detects N+1s from missing prefetches and from use of .defer()/.only()
  * Friendly error messages like N+1 detected on User.followers at
    myapp/views.py:25 in get_user
  * Configurable thresholds
  * Allow-list
  * Well-tested
  * No dependencies
 .
 This package contains the Python 3 version of the library.

## python-django-zeal 1.4.0

=== debian/changelog ===
python-django-zeal (1.4.0-1) unstable; urgency=low

  * New upstream version 1.4.0

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Sep 2024 15:26:51 +0000

## python-django-zeal 2.0.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,10 @@
 	pip install -r requirements-dev.txt
 
 test:
-	pytest -s --tb=native --random-order $(ARGS)
+	pytest -s --tb=native --random-order -m "not benchmark" $(ARGS)
+
+benchmark:
+	@pytest -s --quiet -m benchmark $(ARGS) > /dev/null
 
 format-check:
 	ruff format --check && ruff check

=== debian/changelog ===
python-django-zeal (2.0.1-1) unstable; urgency=low

  * New upstream version 2.0.1
  * Add patch to fix compatibility with factory-boy (>= 3.3.1~) (Closes: #1084041).
  * Add python3-pytest-mock to Build-Depends, required by tests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Nov 2024 13:14:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,
- python3-factory-boy,
+ python3-factory-boy (>= 3.3.1~),
  python3-pytest,
  python3-pytest-django,
+ python3-pytest-mock,
  python3-setuptools,
 Standards-Version: 4.7.0
 Homepage: https://github.com/taobojlen/django-zeal

## python-django-zeal 2.0.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	pytest -s --tb=native --random-order -m "not benchmark" $(ARGS)
 
 benchmark:
-	@pytest -s --quiet -m benchmark $(ARGS) > /dev/null
+	pytest -s $(ARGS) --codspeed
 
 format-check:
 	ruff format --check && ruff check

=== debian/changelog ===
python-django-zeal (2.0.4-1) unstable; urgency=low

  * New upstream version 2.0.4
  * Update year in d/copyright.
  * Add python3-pytest-benchmark to Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Wed, 26 Feb 2025 15:35:26 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-django,
  python3-factory-boy (>= 3.3.1~),
  python3-pytest,
+ python3-pytest-benchmark,
  python3-pytest-django,
  python3-pytest-mock,
  python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-zeal
export PYBUILD_TEST_ARGS=-k 'not test_can_log_errors and not test_errors_include_caller and not test_ignores_calls_on_different_lines'

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-zeal-$1/ \
https://github.com/taobojlen/django-zeal/tags \
/taobojlen/django-zeal/archive/refs/tags/v([\d\.]+)\.tar\.gz
